@import "../../../../core/variables";

.select {
  display: flex;
  align-items: center;
  justify-content: space-between;
  box-shadow: 0 0 0 1px $color-gray-500;
  border-radius: $border-radius-sm;
  font-size: $font-size-xs;
  user-select: none;

  transition: box-shadow .3s ease, border-color .3s ease, border-radius .3s ease;
  will-change: box-shadow, border-color, border-radius;

  cursor: pointer;
  background: $color-white;
  letter-spacing: -0.25px;
  padding: $indent-xsm $indent-sm;

  &:not(.isDisabled) {
    &:hover,
    &.isFocused {
      box-shadow: 0 0 0 1px $color-blue,
      0 5px 11px rgba(0, 123, 255, 0.1),
      0 2px 2px rgba(0, 0, 0, 0.06),
      0 2px 4px rgba(0, 123, 255, 0.0608866);
    }
  }
}

.content {
  display: flex;
  align-items: center;
}

.value {
  color: $color-gray-900;
}

.placeholder {
  color: $color-gray-900;
  opacity: .7;
}

.hasInputBefore {
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}

.hasInputAfter {
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
}

.isDisabled {
  cursor: not-allowed;
  opacity: .7;
}

.isFocused {
  border-bottom-left-radius: 0 !important;
  border-bottom-right-radius: 0 !important;
}

.icon {
  opacity: .7;
  transition: opacity .3s ease, transform .3s ease, color .3s ease;
  will-change: opacity, transform, color;
}

.iconIsRotated {
  opacity: 1;
  transform: rotate(-180deg);
  color: $color-blue;
}

.options {
  background: $color-white;
  color: $color-gray-900;
  letter-spacing: -0.25px;
  padding: $indent-xxs 0;
}

.values {
  max-height: 180px;
  overflow: hidden;

  background: $color-white;
  width: 100%;
  display: flex;

  box-shadow: 0 0 0 1px $color-blue,
              0 5px 11px rgba(0, 123, 255, 0.1),
              0 2px 2px rgba(0, 0, 0, 0.06),
              0 2px 4px rgba(0, 123, 255, 0.0608866);

  border-radius: 0 0 $border-radius-sm $border-radius-sm;
  font-size: $font-size-xs;

  transition:
          box-shadow .3s ease,
          border-color .3s ease,
          border-radius .3s ease,
          opacity .3s ease,
          visibility .3s ease,
          position 0s ease .3s;
  will-change: box-shadow, border-color, border-radius, opacity, visibility, position;

  &:not(.valuesIsOpened) {
    visibility: hidden;
    opacity: 0;
    position: absolute;
  }
}

.valuesList {
  overflow-y: auto;
  width: 100%;
}

.option {
  padding: $indent-xsm $indent-sm;
}

.valuesNoData {
  font-style: italic;
  opacity: .4;
  padding: $indent-xsm $indent-sm;
}